<?php

function display_dashboard_utility_filtering_parameters() {
    
    dashboard_set_from_to_months('from_month_id', 'to_month_id');
    
    start_table(TABLESTYLE, "width=25%");
        $dash_purchs_array = get_dashboard_utility_types_array();
        custom_values_list_row("Type:", 'group_code', $dash_purchs_array, null, false, true);
        months_list_row("From Month:", 'from_month_id', null, false, true);   
        months_list_row("To Month:", 'to_month_id', null, false, true);  

        set_global_dashboard_from_month($_POST['from_month_id']);
        set_global_dashboard_to_month($_POST['to_month_id']);
    end_table(1);

    start_table(TABLESTYLE);
        start_row();
            submit_center_first('DashboardPurch', "Display", '', 'process', ICON_OK);
        end_row();
    end_table(2);
}

function get_dashboard_utility_types_array() {
    $dash_purchs_array = array();
    
        $dash_purchs_array['EXPENSES'] = "Utility Expenses";
        $dash_purchs_array['APPROVALS'] = "Approvals";
        
        return $dash_purchs_array;
}

function display_dashboard_utility_view() {
    global $path_to_root, $Ajax;

    $from_month = get_month(get_global_dashboard_from_month());
    $to_month = get_month(get_global_dashboard_to_month());

    $Ajax->activate('utility_views');
        div_start('utility_views');

            start_table();

                switch ($_POST['group_code']) {
                    case 'EXPENSES':
                        include_once("$path_to_root/dashboard/includes/ui/dashboard_utility_expenses_ui.inc");
                        include_once($path_to_root . "/dashboard/includes/db/dashboard_utility_expenses_db.inc"); 
                        
                        dashboard_utility_expenses($from_month['display_order'], $to_month['display_order']);
                        break;
                        
                    case 'APPROVALS':
                        include_once("$path_to_root/dashboard/includes/ui/dashboard_approvals_ui.inc");
                        include_once("$path_to_root/dashboard/includes/db/dashboard_approvals_db.inc"); 
                        include_once("$path_to_root/dashboard/includes/ui/dashboard_utility_approvals_ui.inc");
                        include_once("$path_to_root/dashboard/includes/db/dashboard_utility_approvals_db.inc"); 
                        
                        dashboard_utility_approvals($from_month['display_order'], $to_month['display_order']);
                        break;
                        
                    default:        
                        break;
                }

            end_table(2);
            
        div_end();
}

?>